package com.example.mapper;

import com.example.bean.Worker;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface WorkerMapper {
    int reg(Worker doctor);
    Worker getWorkerById(String userid);
    public int updateWorkerEnabled(@Param("enabled")Boolean enabled, @Param("userid") String userid);
    int deleteUserByUserid(String userid);
    int updateWorker(Worker worker);
}
